function myscript(name_Iref,sigma_s,sigma_r,name_base,name_detail,...
                                   Iniv1,gz1,Iniv2,gz2,Iniv3,gz3,Iniv4,gz4)

sigma_s = str2double(sigma_s);
sigma_r = str2double(sigma_r);
gz1     = str2double(gz1);
gz2     = str2double(gz2);
gz3     = str2double(gz3);
gz4     = str2double(gz4);

Iref    = imread(name_Iref);
Iref    = double(Iref);

Iniv1   = double(imread(Iniv1));
Iniv2   = double(imread(Iniv2));
Iniv3   = double(imread(Iniv3));
Iniv4   = double(imread(Iniv4));

weightfunspace = @(A)(exp( -A   /(2*sigma_s^2)));
weightfunrange = @(u)(exp( -u.^2/(2*sigma_r^2)));

Idet1 = (Iref  - Iniv1);
Idet2 = (Iniv1 - Iniv2);
Idet3 = (Iniv2 - Iniv3);
Idet4 = (Iniv3 - Iniv4);

Idet  = Idet1*weightfunspace(gz1).*weightfunrange(Idet1) ...
      + Idet2*weightfunspace(gz2).*weightfunrange(Idet2) ...
      + Idet3*weightfunspace(gz3).*weightfunrange(Idet3) ...
      + Idet4*weightfunspace(gz4).*weightfunrange(Idet4) ;

Ibase = Iref - Idet;

imwrite(uint8(Ibase),name_base);
imwrite(uint8(128 + 10*Idet ),name_detail);

end